<html>
<body>
    <dl>
     <dt>Help</dt>
        <dd>- <b>s2l0tile/help</b>: this help.</dd>
        <dd>- <b>s2l0tile/odata/auth</b>: Authentication
            Odata service connection can be fully configured via this REST API. Such an API is not enough secure to transfer credentials and the
            service has been limited to local or debug connections.<br/>
            Credential are stored into the system keyring. It is not required to provide them again once set.<br/>
            Note that one service accepts only one credential. Multiple service is properly handled with their credentials.<br/>
            Credentials could also be provided from os system environment variables:
            <ul>
                <li>gss_service</li>
                <li>gss_username</li>
                <li>gss_password</li>
            </ul>
            Or they could be added manually into the system keyring when accessible. This /auth service does not checks the validity of the credentials.
            It can be configured with following parameters:
            <ul>
                <li>service: service url (i.e. https://beta.databridge.gael-systems.com/gss-catalogue)</li>
                <li>username: service username</li>
                <li>password: service password</li>
            </ul>
        </dd>
        <dd>- <b>s2l0tile/odata/auth/check</b>: Tool to check the authentication.<br/>
             <u>Syntax</u>
            <pre>
                /s2l0tile/odata/auth/check
                <b>Ok</b>
            </pre>
            <pre>
                /s2l0tile/odata/auth/check?service=http://bad/service
                <b>Forbidden</b>
                Connection Error
            </pre>
        </dd>
        <dd>- <b>s2l0tile/odata/filter</b>: run odata filter:
            <ul>
                <li><i>start_date</i>: start of acquisition date is ISO-8601 format (i.e. 2019-04-02T11:18:00.000Z)</li>
                <li><i>stop_date</i>: end of acquisition date is ISO-8601 format (i.e. 2019-04-02T11:18:00.000Z)</li>
                <li><i>mgrs</i>: MGRS encoded tile to retrieve L0 datasets (i.e. 30TVU)</li>
                <li><i>orbit</i>: the orbit number to be selected (i.e. 19725)</li>
                <li><i>top</i>: the number of expected results.</li>
                <li><i>service</i>: The OData service to request.</li>
            </ul>
            MGRS is mandatory.<br/>
            When acquisition date is not provided, start is replaced by the Sentinel-2A launch date, and acquisition end is replaced by the current date.
            The authentication to the OData service can be performed via /odata/auth service, this service does not allow to pass the credential.
            <u>Syntax</u>
            <pre>
                /s2l0tile/odata/filter?mgrs=30TWT&orbit=19725
                <b>
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(531faabe-e3a7-31c4-9818-79242e6939fa)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(edf08e72-a51c-3274-9685-3d5f69c19b3c)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(2e2c2d0b-9037-3365-840f-bc608f6de1d9)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(4c599207-38b6-362d-b325-161dd920ffe6)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(b5993665-1134-3ecf-9399-cf32d0eed8d3)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(53a4e147-7825-379c-ac17-ced5e629d0fb)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(88237866-f33a-3585-8e34-e6560eea12fc)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(fa52e9b4-3c5a-3ae8-9e04-7d84bb3d47b1)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(9f476bea-02eb-311d-a434-9f8ea3343b10)
                    https://beta.databridge.gael-systems.com/gss-catalogue/Products(f1e7c91c-f6d9-32f5-a78a-595974024616)
                </b>
            </pre>
         </dd>
        <dd>- <b>s2l0tile/wkt</b> return WKT formatted MGRS coordinate or set of coordinates.<br/>
        <u>Syntax</u>
        <pre>
           s2l0tile/wkt?mgrs=30UUV&mgrs=30UVV&mgrs=30UWV&mgrs=30UXV&mgrs=30TUU&mgrs=30TVU
           <b>MULTIPOLYGON((-5.719358497550818 49.6209281250983,
                            -4.3547350999437935 49.612691744014924,
                            -4.35506577224682 48.71286351482557,
                            -5.719358497550818 48.720914867739545,
                            -5.719358497550818 49.6209281250983),
                           (-4.360279246259113 49.644998628017, ...</b>

           http://localhost:5000/s2l0tile/wkt?mgrs=30UUV
           <b>POLYGON((-5.719358497550818 49.6209281250983,
                       -4.3547350999437935 49.612691744014924,
                       -4.35506577224682 48.71286351482557,
                       -5.719358497550818 48.720914867739545,
                       -5.719358497550818 49.6209281250983))</b>
       <pre>
       </dd>
       <dd>- <b>s2l0tile/tiles</b>: computes MGRS tiles coordinates  from its latitude/longitude and optionally precision (0:100km, 1:10km, 2:1km, 3:100m, 4:10m, 5:1m)
       <br/>
       <u>Syntax:</u>
       <pre>
          s2l0tile/tiles?latitude=48.8588336&longitude=2.2769949&precision=5
          <b>31UDQ4696812015</b>

          s2l0tile/tiles?latitude=48.8588336&longitude=2.2769949&precision=0
          <b>31UDQ</b>
       </pre>
       </dd>
    </dl>
</body>
</html>